/**
 * Copyright (c) 2006-2012 EBM WebSourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.jbi.management.admin;

import javax.jbi.JBIException;
import javax.jbi.component.Component;
import javax.jbi.messaging.MessageExchange;
import javax.jbi.servicedesc.ServiceEndpoint;

/**
 * Admin methods used by remote PEtALS containers.
 * 
 * @author rnaudin
 */
public interface AdminService extends javax.jbi.management.AdminServiceMBean {
    
    /**
     * @see Component#isExchangeWithConsumerOkay(ServiceEndpoint, javax.jbi.messaging.MessageExchange)
     * 
     * @throws JBIException
     *             If no component is found with this component name
     */
    boolean isExchangeWithProviderOkayForComponent(String consumerComponent, ServiceEndpoint providerEndpoint,
            MessageExchange exchange) throws JBIException;

    /**
     * @see Component#isExchangeWithProviderOkay(ServiceEndpoint, javax.jbi.messaging.MessageExchange)
     * 
     * @throws JBIException
     *             If no component is found with this component name
     */
    boolean isExchangeWithConsumerOkayForComponent(String providerComponent, ServiceEndpoint providerEndpoint,
            MessageExchange exchange) throws JBIException;
}
