/**
 * Copyright (c) 2007-2012 EBMWebsourcing, 2012-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.jbi.messaging.endpoint;

/**
 * @author Roland Naudin - EBM WebSourcing
 */
public final class EndpointDirectoryServiceConstants {

    public static class Interface {

        public static final String UNDEFINED = "undefined";

        private Interface() {
            // No constructor because this class contains only constants
        }
    }
    
    public static class Endpoint {
        
        public static final String TYPE = "type";

        public static final String INTERFACE_NAMES = "interfaceNames";

        public static final String TARGET_INTERFACE_NAME = "targetInterfaceName";

        public static final String SERVICE_NAME = "serviceName";

        public static final String TARGET_SERVICE_NAME = "targetServiceName";

        public static final String ENDPOINT_NAME = "endpointName";

        public static final String TARGET_ENDPOINT_NAME = "targetEndpointName";

        public static final String DOMAIN_NAME = "domainName";

        public static final String CONTAINER_NAME = "containerName";

        public static final String COMPONENT_NAME = "componentName";

        private Endpoint() {
            // No constructor because this class contains only constants
        }

    }

    public static class EndpointType {
        public static final String INTERNAL = "internal";

        public static final String EXTERNAL = "external";

        private EndpointType() {
            // No constructor because this class contains only constants
        }
    }

    private EndpointDirectoryServiceConstants() {
        // No constructor because this class contains only constants
    }
}
