/**
 * Copyright (c) 2014-2016 Linagora
 * 
 * This program/library is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 2.1 of the License, or (at your
 * option) any later version.
 * 
 * This program/library is distributed in the hope that it will be useful, but
 * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License
 * for more details.
 * 
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program/library; If not, see http://www.gnu.org/licenses/
 * for the GNU Lesser General Public License version 2.1.
 */
package org.ow2.petals.clientserverapi.transport;

public interface FastRemoteTransportService {

    /**
     * The default message number that can be received concurrently
     */
    public static final int DEFAULT_RECEIVERS = 10;

    /**
     * The default delay, in milliseconds, before an idle 'receiver' is set evictable
     */
    public static final long DEFAULT_RECEIVER_EVICTABLE_DELAY = 60000;

    /**
     * The default interface on which receivers receive connection and data. The value "0.0.0.0" is for all interfaces.
     */
    public static final String DEFAULT_RECEIVER_LISTENING_ITF = "0.0.0.0";

    /**
     * The default message number that can be sent concurrently
     */
    public static final int DEFAULT_SENDERS = 10;

    /**
     * The default timeout establishing a connection to a remote Petals node
     */
    public static final long DEFAULT_CONNECTION_TIMEOUT = 5000;

    /**
     * The default timeout to send a message to a remote Petals node
     */
    public static final long DEFAULT_SEND_TIMEOUT = 5000;

    /**
     * The default delay before running the 'sender' eviction thread
     */
    public static final long DEFAULT_SEND_EVICTOR_DELAY = 60000;

    /**
     * The default delay before an idle 'sender' is set evictable
     */
    public static final long DEFAULT_SEND_EVICTABLE_DELAY = 60000;

}
